{
  pkgs,
  ...
}: let
  variables = {
    # VISUAL = "emacs";
    EDITOR = "nvim";
    SHELL = "fish";
  };
in {
  # TODO: this should be moved 
  # once I migrate to using a shared flake
  imports = [
    ./bitwarden.nix
    ./firefox.nix
    ./fonts.nix
    ./obsidian.nix
    ./syncthing.nix
  ];

  home.sessionVariables = variables;
  systemd.user.sessionVariables = variables;

  xdg.enable = true; # TODO: what is this?
}
